edu.sc.seis.sod.subsetter

## Class EffectiveTimeOverlap

- java.lang.Object
- - edu.sc.seis.sod.subsetter.EffectiveTimeOverlap

- All Implemented Interfaces:
    SodElement, Subsetter
  Direct Known Subclasses:
    ChannelEffectiveTimeOverlap, EventEffectiveTimeOverlap, NetworkEffectiveTimeOverlap, SiteEffectiveTimeOverlap, StationEffectiveTimeOverlap

      public abstract class EffectiveTimeOverlap
      extends java.lang.Object
      implements Subsetter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectiveTimeOverlap(org.w3c.dom.Element config)`
    `EffectiveTimeOverlap(edu.iris.Fissures.model.MicroSecondDate start, edu.iris.Fissures.model.MicroSecondDate end)`
    `EffectiveTimeOverlap(MicroSecondTimeRangeSupplier timeRange)`
    `EffectiveTimeOverlap(edu.iris.Fissures.TimeRange range)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `overlaps(edu.iris.Fissures.model.MicroSecondDate otherStart, edu.iris.Fissures.model.MicroSecondDate otherEnd)`
    `boolean` | `overlaps(edu.iris.Fissures.TimeRange otherRange)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EffectiveTimeOverlap

          public EffectiveTimeOverlap(MicroSecondTimeRangeSupplier timeRange)

    - #### EffectiveTimeOverlap

          public EffectiveTimeOverlap(edu.iris.Fissures.TimeRange range)

    - #### EffectiveTimeOverlap

          public EffectiveTimeOverlap(edu.iris.Fissures.model.MicroSecondDate start,
                                      edu.iris.Fissures.model.MicroSecondDate end)

    - #### EffectiveTimeOverlap

          public EffectiveTimeOverlap(org.w3c.dom.Element config)
                               throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### overlaps

          public boolean overlaps(edu.iris.Fissures.TimeRange otherRange)

    - #### overlaps

          public boolean overlaps(edu.iris.Fissures.model.MicroSecondDate otherStart,
                                  edu.iris.Fissures.model.MicroSecondDate otherEnd)